;Mididatei
;
;Aufbau:
;	MIDI:
;		.dw Anzahl Kanlen
;		.dw Kanalstart 1
;		.dw Kanalstart 2
;		...
;		
;	SMIDI:
;		Befehl				Beispiel			Erklrung								Bemerkung
;		TONE, ton, dauer	TONE, E4, TD4		Spiele E4 eine viertel Note lang
;		VOL, volume			VOL, 128			Volume des Kanals auf 128 setzen.		Achtung: Alle Kanle zusammen drfen hchstens die Lautstrke 255 haben, sonst bersteuert es
;		MSOUND, sound		MSOUND, Trumpet		Intrument setzen						Intrumente stehen in der sin.asm
;		DELAY, dauer		DELAY, TD2			Warte eine halbe Pause lang
;		MJMP, ziel			MJMP, 0				Springe zu Befehl						MJMP springt relativ zum Anfang des Kanals: MJMP, 0 wiederholt den Kanal. MJMP muss direkt auf einen Befehl springen und darf nicht auf ein Argument zeigen
;		END					END					Kanal beenden
;
;Achtung: Sobald eine Zeile nicht eine gerade Anzahl von Eintrgen hat, wird eine 0 hinzugefgt. Eine 0 entspricht dem Befehl END und die Spur wird abgebrochen!

.equ TD1 = 128
.equ TD2 = 64
.equ TD4 = 32
.equ TDT41=11
.equ TDT42=10
.equ TD8 = (TD4/2)
.equ TD16= (TD8/2)

.cseg

.if Msrc==1
MIDI:
;Spuranfnge
.dw 4
.dw (S1-SMIDI)*2
.dw (S2-SMIDI)*2
.dw (S3-SMIDI)*2
.dw (S4-SMIDI)*2
SMIDI:
S1:
.db MSOUND, Organ
.db TONE,	E3,		TD1+TD2+TD8,	DELAY,	TD16,	TONE,	Cis3,	TD16
.db TONE,	D3,		TD8,			DELAY,	TD16,	TONE,	Dis3,	TD16
.db TONE,	E3,		TD1+TD2+TD8,	DELAY,	TD16,	TONE,	Cis3,	TD16
.db TONE,	D3,		TD8,			DELAY,	TD16,	TONE,	Dis3,	TD16
.db TONE,	E3,		TD1+TD2+TD8,	DELAY,	TD16,	TONE,	Dis3,	TD16
.db TONE,	D3,		TD8,			DELAY,	TD16,	TONE,	Cis3,	TD16
.db TONE,	C3,		TD1+TD2+TD8,	DELAY,	TD16,	TONE,	Cis3,	TD16
.db TONE,	D3,		TD8,			DELAY,	TD16,	TONE,	Dis3,	TD16
.db TONE,	E3,		TD1+TD2+TD8,	DELAY,	TD16,	TONE,	Dis3,	TD16
.db TONE,	D3,		TD8,			DELAY,	TD16,	TONE,	Cis3,	TD16
.db TONE,	C3,		TD1+TD2+TD8,	DELAY,	TD16,	TONE,	Cis3,	TD16
.db TONE,	D3,		TD8,			DELAY,	TD16,	TONE,	Dis3,	TD16
.db TONE,	E3,		TD1+TD2+TD8,	DELAY,	TD16,	TONE,	Dis3,	TD16
.db TONE,	D3,		TD8,			DELAY,	TD16,	TONE,	Cis3,	TD16
.db TONE,	C3,		TD1+TD2+TD8,	DELAY,	TD16,	TONE,	Cis3,	TD16
.db TONE,	D3,		TD8,			DELAY,	TD16,	TONE,	Dis3,	TD16
.db TONE,	E3,		TD8,			DELAY, 	TD2+TD4+TD8,	TONE, 	C3,	TD2
.db TONE,	H2,		TD2,			TONE,	E3,		TD2+TD8,	DELAY,	TD16
.db	TONE,	Cis3,	TD16, TONE,	D3,		TD8,			DELAY,	TD16
.db	TONE,	Dis3,	TD16, TONE,	E3,		TD2+TD8
.db MJMP, 21, 0, END

S2:
.db MSOUND, organ
.db TONE,	H3,		TD1+TD2+TD8,	DELAY,	TD16,	TONE,	Gis3,	TD16
.db TONE,	A3,		TD8,			DELAY,	TD16,	TONE,	B3,		TD16
.db TONE,	H3,		TD1+TD2+TD8,	DELAY,	TD16,	TONE,	Gis3,	TD16
.db TONE,	A3,		TD8,			DELAY,	TD16,	TONE,	B3,		TD16
.db TONE,	H3,		TD1+TD2+TD8,	DELAY,	TD16,	TONE,	B3,		TD16
.db TONE,	A3,		TD8,			DELAY,	TD16,	TONE,	Gis3,	TD16
.db TONE,	G3,		TD1+TD2+TD8,	DELAY,	TD16,	TONE,	Gis3,	TD16
.db TONE,	A3,		TD8,			DELAY,	TD16,	TONE,	B3,		TD16
.db TONE,	H3,		TD1+TD2+TD8,	DELAY,	TD16,	TONE,	B3,		TD16
.db TONE,	A3,		TD8,			DELAY,	TD16,	TONE,	Gis3,	TD16
.db TONE,	G3,		TD1+TD2+TD8,	DELAY,	TD16,	TONE,	Gis3,	TD16
.db TONE,	A3,		TD8,			DELAY,	TD16,	TONE,	B3,		TD16
.db TONE,	H3,		TD1+TD2+TD8,	DELAY,	TD16,	TONE,	B3,		TD16
.db TONE,	A3,		TD8,			DELAY,	TD16,	TONE,	Gis3,	TD16
.db TONE,	G3,		TD1+TD2+TD8,	DELAY,	TD16,	TONE,	Gis3,	TD16
.db TONE,	A3,		TD8,			DELAY,	TD16,	TONE,	B3,		TD16
.db TONE,	H3,		TD8,			DELAY, 	TD2+TD4+TD8,	TONE, 	G3,	TD2
.db TONE,	Fis3,	TD2,			TONE,	H3,		TD2+TD8,	DELAY,	TD16
.db	TONE,	Gis3,	TD16, TONE,	A3,		TD8,			DELAY,	TD16
.db	TONE,	B3,	TD16, TONE,	H3,		TD2+TD8
.db MJMP, 21, 0, END

S3:
.db DELAY,	TD1,	DELAY, TD1,	DELAY,	TD1,	DELAY,	TD2+TD4+TD8+TD16
s3st:
.db MSOUND, piano
.db TONE,	Dis4,	TD16,	TONE,	E4,	TD4,	DELAY,	TD8+TD16
.db TONE,	Fis4,	TD16,	TONE,	G4,	TD4,	DELAY,	TD8+TD16
.db TONE,	Dis4,	TD16,	TONE,	E4,	TD8+TD16	
.db TONE,	Fis4,	TD16,	TONE,	G4,	TD8+TD16	
.db TONE,	C5,		TD16,	TONE,	H4,	TD8+TD16	
.db TONE,	E4,		TD16,	TONE,	G4,	TD8+TD16
.db TONE,	H4,		TD16,	TONE,	B4,	TD2+TDT41
.db TONE,	A4,		TDT41,	TONE,	G4,	TDT42
.db TONE,	E4,		TDT41,	TONE,	D4,	TDT41
.db TONE,	E4,		TDT42, 	TONE, 	E4, TD4+TD2
.db	DELAY, TD8+TD16

.db TONE,	Dis4,	TD16,	TONE,	E4,	TD4,	DELAY,	TD8+TD16
.db TONE,	Fis4,	TD16,	TONE,	G4,	TD4,	DELAY,	TD8+TD16
.db TONE,	Dis4,	TD16,	TONE,	E4,	TD8+TD16	
.db TONE,	Fis4,	TD16,	TONE,	G4,	TD8+TD16	
.db TONE,	C5,		TD16,	TONE,	H4,	TD8+TD16	
.db TONE,	G4,		TD16,	TONE,	H4,	TD8+TD16
.db TONE,	E5,		TD16,	TONE,	Dis5,	TD1+TD2+TD4+TD8, DELAY, TD16

.db TONE,	Dis4,	TD16,	TONE,	E4,	TD4,	DELAY,	TD8+TD16
.db TONE,	Fis4,	TD16,	TONE,	G4,	TD4,	DELAY,	TD8+TD16
.db TONE,	Dis4,	TD16,	TONE,	E4,	TD8+TD16	
.db TONE,	Fis4,	TD16,	TONE,	G4,	TD8+TD16	
.db TONE,	C5,		TD16,	TONE,	H4,	TD8+TD16	
.db TONE,	E4,		TD16,	TONE,	G4,	TD8+TD16
.db TONE,	H4,		TD16,	TONE,	B4,	TD2+TDT41
.db TONE,	A4,		TDT41,	TONE,	G4,	TDT42
.db TONE,	E4,		TDT41,	TONE,	D4,	TDT41
.db TONE,	E4,		TDT42, 	TONE, 	E4, TD1

.db DELAY, TD4
.db TONE, E5, TD8+TD16, TONE, D5, TD16
.db TONE, H4, TD8+TD16, TONE, A4, TD16
.db TONE, G4, TD8+TD16, TONE, E4, TD16
.db TONE, B4, TD16, TONE, A4, TD8+TD16
.db TONE, B4, TD16, TONE, A4, TD8+TD16
.db TONE, B4, TD16, TONE, A4, TD8+TD16
.db TONE, B4, TD16, TONE, A4, TD8+TD16
.db TONE, G4, TDT41, TONE, E4, TDT41
.db TONE, D4, TDT42, TONE, E4, TD8
.db TONE, E4, TD1+TD4+TD8, DELAY, TD8, TONE, D5, TD16

MLP:
.db MSOUND, Trumpet
.db TONE,	Dis5,	TD16,	TONE,	E5,	TD4,	DELAY,	TD8+TD16
.db TONE,	Fis5,	TD16,	TONE,	G5,	TD4,	DELAY,	TD8+TD16
.db TONE,	Dis5,	TD16,	TONE,	E5,	TD8+TD16	
.db TONE,	Fis5,	TD16,	TONE,	G5,	TD8+TD16	
.db TONE,	C6,		TD16,	TONE,	H5,	TD8+TD16	
.db TONE,	E5,		TD16,	TONE,	G5,	TD8+TD16
.db TONE,	H5,		TD16,	TONE,	B5,	TD2+TDT41
.db TONE,	A5,		TDT41,	TONE,	G5,	TDT42
.db TONE,	E5,		TDT41,	TONE,	D5,	TDT41
.db TONE,	E5,		TDT42, 	TONE, 	E5, TD4+TD2
.db	DELAY, TD8+TD16

.db TONE,	Dis5,	TD16,	TONE,	E5,	TD4,	DELAY,	TD8+TD16
.db TONE,	Fis5,	TD16,	TONE,	G5,	TD4,	DELAY,	TD8+TD16
.db TONE,	Dis5,	TD16,	TONE,	E5,	TD8+TD16	
.db TONE,	Fis5,	TD16,	TONE,	G5,	TD8+TD16	
.db TONE,	C6,		TD16,	TONE,	H5,	TD8+TD16	
.db TONE,	G5,		TD16,	TONE,	H5,	TD8+TD16
.db TONE,	E6,		TD16,	TONE,	Dis6,	TD1+TD2+TD4+TD8, DELAY, TD16

.db TONE,	Dis5,	TD16,	TONE,	E5,	TD4,	DELAY,	TD8+TD16
.db TONE,	Fis5,	TD16,	TONE,	G5,	TD4,	DELAY,	TD8+TD16
.db TONE,	Dis5,	TD16,	TONE,	E5,	TD8+TD16	
.db TONE,	Fis5,	TD16,	TONE,	G5,	TD8+TD16	
.db TONE,	C6,		TD16,	TONE,	H5,	TD8+TD16	
.db TONE,	E5,		TD16,	TONE,	G5,	TD8+TD16
.db TONE,	H5,		TD16,	TONE,	B5,	TD2+TDT41
.db TONE,	A5,		TDT41,	TONE,	G5,	TDT42
.db TONE,	E5,		TDT41,	TONE,	D5,	TDT41
.db TONE,	E5,		TDT42, 	TONE, 	E5, TD1

.db DELAY, TD4
.db TONE, E6, TD8+TD16, TONE, D6, TD16
.db TONE, H5, TD8+TD16, TONE, A5, TD16
.db TONE, G5, TD8+TD16, TONE, E5, TD16
.db TONE, B5, TD16, TONE, A5, TD8+TD16
.db TONE, B5, TD16, TONE, A5, TD8+TD16
.db TONE, B5, TD16, TONE, A5, TD8+TD16
.db TONE, B5, TD16, TONE, A5, TD8+TD16
.db TONE, G5, TDT41, TONE, E5, TDT41
.db TONE, D5, TDT42, TONE, E5, TD8
.db TONE, E5, TD1+TD4+TD8, DELAY, TD8+TD16, MJMP, LOW((s3st-S3)*2), HIGH((s3st-S3)*2)
.db END, END

S4:
.db END, END

.elif Msrc == 2
MIDI:
.dw 4
.dw (S0 - SMIDI)*2
.dw (S1 - SMIDI)*2
.dw (S2 - SMIDI)*2
.dw (S3 - SMIDI)*2
SMIDI:
S0:
.db MSOUND, Trumpet
.db DELAY, 2, TONE, 70, 32, TONE, 46, 20, DELAY, 12, TONE, 70, 6, DELAY, 4, TONE, 70, 6, DELAY, 5, TONE, 70, 7, DELAY, 4, TONE, 70, 10, DELAY, 11, TONE, 68, 7, DELAY, 4, TONE, 70, 42, DELAY, 11, TONE, 70, 7, DELAY, 4, TONE, 70, 6, DELAY, 4, TONE, 70, 6, DELAY, 5, TONE, 70, 7
.db DELAY, 4, TONE, 70, 10, DELAY, 11, TONE, 68, 7, DELAY, 4, TONE, 70, 47, DELAY, 6, TONE, 70, 7, DELAY, 4, TONE, 70, 6, DELAY, 4, TONE, 70, 6, DELAY, 5, TONE, 70, 7, DELAY, 4, TONE, 70, 10, DELAY, 5, TONE, 65, 5, DELAY, 3, TONE, 65, 6, DELAY, 3, TONE, 65, 10, DELAY, 5, TONE, 65, 5
.db DELAY, 3, TONE, 65, 6, DELAY, 3, TONE, 65, 10, DELAY, 5, TONE, 65, 5, DELAY, 3, TONE, 65, 6, DELAY, 3, TONE, 65, 10, DELAY, 5, TONE, 65, 10, DELAY, 7, TONE, 70, 20, DELAY, 12, TONE, 65, 47, DELAY, 8, TONE, 70, 7, DELAY, 2, TONE, 70, 7, DELAY, 1, TONE, 72, 7, TONE, 74, 7
.db DELAY, 1, TONE, 75, 7, DELAY, 2, TONE, 77, 62, DELAY, 2, TONE, 77, 15, TONE, 77, 10, DELAY, 7, TONE, 77, 10, TONE, 78, 10, DELAY, 1, TONE, 80, 10, DELAY, 1, TONE, 82, 74, TONE, 82, 10, DELAY, 1, TONE, 82, 10, DELAY, 1, TONE, 82, 10, TONE, 80, 10
.db DELAY, 1, TONE, 78, 10, DELAY, 1, TONE, 80, 10, DELAY, 11, TONE, 78, 10, DELAY, 1, TONE, 77, 62, DELAY, 2, TONE, 77, 30, DELAY, 2, TONE, 75, 15, TONE, 75, 7, DELAY, 1, TONE, 77, 7, DELAY, 2, TONE, 78, 62, DELAY, 2, TONE, 77, 15, TONE, 75, 15, DELAY, 2, TONE, 73, 15
.db TONE, 73, 7, DELAY, 1, TONE, 75, 7, DELAY, 2, TONE, 77, 62, DELAY, 2, TONE, 75, 15, TONE, 73, 15, DELAY, 2, TONE, 72, 15, TONE, 72, 7, DELAY, 1, TONE, 74, 7, DELAY, 2, TONE, 76, 62, DELAY, 2, TONE, 79, 30, DELAY, 2, TONE, 77, 10, DELAY, 5, TONE, 65, 5
.db DELAY, 3, TONE, 65, 6, DELAY, 3, TONE, 65, 10, TONE, 38, 6, DELAY, 5, TONE, 38, 7, DELAY, 4, TONE, 65, 10, DELAY, 5, TONE, 65, 5, DELAY, 3, TONE, 65, 6, DELAY, 3, TONE, 65, 10, DELAY, 5, TONE, 65, 10, DELAY, 7, TONE, 70, 20, DELAY, 15, TONE, 65, 44, DELAY, 8, TONE, 70, 7
.db DELAY, 2, TONE, 70, 7, DELAY, 1, TONE, 72, 7, TONE, 74, 7, DELAY, 1, TONE, 75, 7, DELAY, 2, TONE, 77, 62, DELAY, 2, TONE, 77, 15, TONE, 77, 10, DELAY, 7, TONE, 77, 10, TONE, 78, 10, DELAY, 1, TONE, 80, 10, DELAY, 1, TONE, 82, 94, DELAY, 2, TONE, 85, 30
.db DELAY, 2, TONE, 84, 15, DELAY, 17, TONE, 81, 52, DELAY, 12, TONE, 77, 30, DELAY, 2, TONE, 78, 69, DELAY, 27, TONE, 82, 30, DELAY, 2, TONE, 81, 15, DELAY, 17, TONE, 77, 52, DELAY, 12, TONE, 77, 30, DELAY, 2, TONE, 78, 62, DELAY, 2, TONE, 64, 10, DELAY, 25, TONE, 82, 28, DELAY, 1, TONE, 81, 15
.db DELAY, 17, TONE, 77, 62, DELAY, 5, TONE, 74, 28, DELAY, 1, TONE, 75, 62, DELAY, 2, TONE, 47, 10, DELAY, 22, TONE, 78, 30, DELAY, 2, TONE, 77, 15, DELAY, 17, TONE, 73, 62, DELAY, 2, TONE, 70, 30, DELAY, 2, TONE, 72, 15, TONE, 72, 7, DELAY, 1, TONE, 74, 7, DELAY, 2, TONE, 76, 62
.db DELAY, 2, TONE, 79, 30, DELAY, 2, TONE, 77, 10, DELAY, 5, TONE, 65, 5, DELAY, 3, TONE, 65, 6, DELAY, 3, TONE, 65, 10, TONE, 38, 6, DELAY, 5, TONE, 38, 7, DELAY, 4, TONE, 65, 10, DELAY, 5, TONE, 65, 5, DELAY, 3, TONE, 65, 6, DELAY, 3, TONE, 65, 10, DELAY, 5, TONE, 65, 23
.db END
S1:
.db MSOUND, Trumpet
.db DELAY, 6, TONE, 62, 28, DELAY, 21, TONE, 70, 7, DELAY, 4, TONE, 62, 6, DELAY, 4, TONE, 62, 6, DELAY, 5, TONE, 62, 7, DELAY, 4, TONE, 60, 10, DELAY, 11, TONE, 60, 7, DELAY, 4, TONE, 60, 42, DELAY, 22, TONE, 60, 6, DELAY, 4, TONE, 60, 6, DELAY, 5, TONE, 60, 7, DELAY, 4, TONE, 61, 10
.db DELAY, 11, TONE, 61, 7, DELAY, 4, TONE, 61, 47, DELAY, 6, TONE, 61, 7, DELAY, 4, TONE, 61, 6, DELAY, 4, TONE, 61, 6, DELAY, 5, TONE, 61, 7, DELAY, 4, TONE, 61, 15, TONE, 57, 5, DELAY, 3, TONE, 57, 6, DELAY, 3, TONE, 57, 10, DELAY, 5, TONE, 57, 5, DELAY, 3, TONE, 57, 6
.db DELAY, 3, TONE, 57, 10, DELAY, 5, TONE, 57, 5, DELAY, 3, TONE, 57, 6, DELAY, 3, TONE, 57, 10, DELAY, 5, TONE, 57, 10, DELAY, 7, TONE, 62, 20, DELAY, 12, TONE, 62, 10, TONE, 62, 10, DELAY, 1, TONE, 60, 10, DELAY, 1, TONE, 62, 15, DELAY, 8, TONE, 62, 7, DELAY, 2, TONE, 62, 7
.db DELAY, 1, TONE, 63, 7, TONE, 65, 7, DELAY, 1, TONE, 67, 7, DELAY, 2, TONE, 68, 23, TONE, 70, 7, DELAY, 2, TONE, 70, 7, DELAY, 1, TONE, 72, 7, TONE, 74, 7, DELAY, 1, TONE, 75, 7, DELAY, 2, TONE, 44, 10, DELAY, 22, TONE, 68, 10, TONE, 70, 10
.db DELAY, 1, TONE, 72, 10, DELAY, 1, TONE, 73, 23, TONE, 66, 7, DELAY, 2, TONE, 66, 7, DELAY, 1, TONE, 68, 7, TONE, 70, 7, DELAY, 1, TONE, 72, 7, DELAY, 2, TONE, 73, 15, TONE, 73, 15, DELAY, 2, TONE, 73, 10, TONE, 72, 10, DELAY, 1, TONE, 70, 10
.db DELAY, 1, TONE, 73, 10, DELAY, 11, TONE, 68, 10, DELAY, 1, TONE, 68, 10, TONE, 68, 10, DELAY, 1, TONE, 66, 10, DELAY, 1, TONE, 68, 10, DELAY, 11, TONE, 68, 10, DELAY, 1, TONE, 68, 10, TONE, 66, 10, DELAY, 1, TONE, 68, 10, DELAY, 1, TONE, 66, 19, DELAY, 2, TONE, 66, 5
.db TONE, 65, 5, DELAY, 1, TONE, 66, 23, DELAY, 3, TONE, 68, 5, DELAY, 1, TONE, 70, 30, DELAY, 2, TONE, 68, 15, TONE, 66, 15, DELAY, 2, TONE, 65, 23, DELAY, 3, TONE, 63, 5, DELAY, 1, TONE, 65, 23, DELAY, 3, TONE, 66, 5, DELAY, 1, TONE, 68, 30, DELAY, 2, TONE, 66, 15
.db TONE, 65, 15, DELAY, 2, TONE, 64, 30, DELAY, 2, TONE, 64, 23, TONE, 65, 7, DELAY, 2, TONE, 67, 23, DELAY, 3, TONE, 69, 5, DELAY, 1, TONE, 70, 15, TONE, 72, 15, DELAY, 2, TONE, 69, 10, DELAY, 5, TONE, 57, 5, DELAY, 3, TONE, 57, 6, DELAY, 3, TONE, 57, 10
.db DELAY, 5, TONE, 65, 5, DELAY, 3, TONE, 65, 6, DELAY, 3, TONE, 57, 10, DELAY, 5, TONE, 57, 5, DELAY, 3, TONE, 57, 6, DELAY, 3, TONE, 57, 10, DELAY, 5, TONE, 57, 10, DELAY, 7, TONE, 62, 20, DELAY, 15, TONE, 62, 7, TONE, 62, 10, DELAY, 1, TONE, 60, 10, DELAY, 1, TONE, 62, 15
.db DELAY, 8, TONE, 62, 7, DELAY, 2, TONE, 62, 7, DELAY, 1, TONE, 63, 7, TONE, 65, 7, DELAY, 1, TONE, 67, 7, DELAY, 2, TONE, 68, 23, TONE, 70, 7, DELAY, 2, TONE, 70, 7, DELAY, 1, TONE, 72, 7, TONE, 74, 7, DELAY, 1, TONE, 75, 7, DELAY, 2, TONE, 44, 10
.db DELAY, 22, TONE, 68, 10, TONE, 70, 10, DELAY, 1, TONE, 72, 10, DELAY, 1, TONE, 73, 94, DELAY, 2, TONE, 76, 30, DELAY, 2, TONE, 75, 15, DELAY, 17, TONE, 72, 52, DELAY, 12, TONE, 69, 30, DELAY, 2, TONE, 71, 69, DELAY, 27, TONE, 73, 30, DELAY, 2, TONE, 72, 15, DELAY, 17, TONE, 69, 52
.db DELAY, 12, TONE, 69, 30, DELAY, 2, TONE, 71, 62, DELAY, 2, TONE, 38, 10, DELAY, 25, TONE, 73, 28, DELAY, 1, TONE, 72, 15, DELAY, 17, TONE, 69, 62, DELAY, 5, TONE, 69, 28, DELAY, 1, TONE, 66, 62, DELAY, 2, TONE, 38, 10, DELAY, 22, TONE, 71, 30, DELAY, 2, TONE, 70, 15, DELAY, 17, TONE, 65, 62
.db DELAY, 2, TONE, 61, 30, DELAY, 2, TONE, 64, 30, DELAY, 2, TONE, 64, 23, TONE, 65, 7, DELAY, 2, TONE, 67, 23, DELAY, 3, TONE, 69, 5, DELAY, 1, TONE, 70, 15, TONE, 72, 15, DELAY, 2, TONE, 69, 10, DELAY, 5, TONE, 57, 5, DELAY, 3, TONE, 57, 6, DELAY, 3, TONE, 57, 10
.db DELAY, 5, TONE, 65, 5, DELAY, 3, TONE, 65, 6, DELAY, 3, TONE, 57, 10, DELAY, 5, TONE, 57, 6, DELAY, 2, TONE, 57, 6, DELAY, 3, TONE, 57, 10, DELAY, 5, TONE, 57, 23, END
S2:
.db MSOUND, Trumpet
.db DELAY, 6, TONE, 46, 2, DELAY, 3, DELAY, 1, TONE, 46, 6, DELAY, 5, TONE, 46, 7, DELAY, 25, TONE, 62, 7, DELAY, 4, TONE, 46, 6, DELAY, 4, TONE, 46, 6, DELAY, 5, TONE, 46, 7, DELAY, 4, TONE, 44, 20, DELAY, 12, TONE, 44, 6, DELAY, 4, TONE, 44, 6, DELAY, 5, TONE, 44, 7, DELAY, 4, TONE, 44, 20
.db DELAY, 12, TONE, 44, 6, DELAY, 4, TONE, 44, 6, DELAY, 5, TONE, 44, 7, DELAY, 4, TONE, 42, 20, DELAY, 12, TONE, 42, 6, DELAY, 4, TONE, 42, 6, DELAY, 5, TONE, 42, 7, DELAY, 4, TONE, 42, 20, DELAY, 12, TONE, 42, 6, DELAY, 4, TONE, 42, 6, DELAY, 5, TONE, 42, 7, DELAY, 4, TONE, 42, 15
.db DELAY, 17, TONE, 41, 10, DELAY, 22, TONE, 41, 10, DELAY, 22, TONE, 43, 15, TONE, 45, 15, DELAY, 2, TONE, 46, 10, DELAY, 22, TONE, 46, 6, DELAY, 4, TONE, 46, 6, DELAY, 5, TONE, 44, 7, DELAY, 4, TONE, 46, 10, DELAY, 22, TONE, 46, 10, DELAY, 22, TONE, 44, 10, DELAY, 22, TONE, 44, 6
.db DELAY, 4, TONE, 44, 6, DELAY, 5, TONE, 42, 7, DELAY, 4, TONE, 38, 10, DELAY, 22, TONE, 44, 10, DELAY, 22, TONE, 42, 10, DELAY, 22, TONE, 42, 6, DELAY, 4, TONE, 42, 6, DELAY, 5, TONE, 40, 7, DELAY, 4, TONE, 42, 10, DELAY, 22, TONE, 42, 10, DELAY, 22, TONE, 49, 15, DELAY, 17, TONE, 49, 10
.db TONE, 49, 10, DELAY, 1, TONE, 47, 10, DELAY, 1, TONE, 49, 15, DELAY, 17, TONE, 49, 15, DELAY, 17, TONE, 47, 15, DELAY, 17, TONE, 47, 10, TONE, 47, 10, DELAY, 1, TONE, 46, 10, DELAY, 1, TONE, 47, 15, DELAY, 17, TONE, 47, 10, TONE, 47, 10, DELAY, 1, TONE, 47, 10
.db DELAY, 1, TONE, 46, 15, DELAY, 17, TONE, 46, 10, TONE, 46, 10, DELAY, 1, TONE, 44, 10, DELAY, 1, TONE, 46, 15, DELAY, 17, TONE, 46, 10, TONE, 46, 10, DELAY, 1, TONE, 46, 10, DELAY, 1, TONE, 48, 15, DELAY, 17, TONE, 48, 10, TONE, 48, 10, DELAY, 1, TONE, 46, 10
.db DELAY, 1, TONE, 48, 15, DELAY, 17, TONE, 48, 10, TONE, 48, 10, DELAY, 1, TONE, 48, 10, DELAY, 1, TONE, 41, 10, DELAY, 22, TONE, 41, 10, DELAY, 5, TONE, 57, 5, DELAY, 3, TONE, 57, 6, DELAY, 3, TONE, 41, 10, DELAY, 22, TONE, 43, 15, TONE, 45, 15, DELAY, 2, TONE, 46, 10
.db DELAY, 25, TONE, 46, 3, DELAY, 4, TONE, 46, 6, DELAY, 5, TONE, 44, 7, DELAY, 4, TONE, 46, 10, DELAY, 22, TONE, 46, 10, DELAY, 22, TONE, 44, 10, DELAY, 22, TONE, 44, 6, DELAY, 4, TONE, 44, 6, DELAY, 5, TONE, 42, 7, DELAY, 4, TONE, 38, 10, DELAY, 22, TONE, 44, 10, DELAY, 22, TONE, 42, 10
.db DELAY, 22, TONE, 42, 6, DELAY, 4, TONE, 42, 6, DELAY, 5, TONE, 40, 7, DELAY, 4, TONE, 42, 10, DELAY, 22, TONE, 42, 10, DELAY, 22, TONE, 41, 10, DELAY, 22, TONE, 41, 6, DELAY, 4, TONE, 41, 6, DELAY, 5, TONE, 39, 10, DELAY, 1, TONE, 41, 10, DELAY, 22, TONE, 41, 10, DELAY, 22, TONE, 40, 6
.db DELAY, 4, TONE, 46, 6, DELAY, 5, TONE, 49, 7, DELAY, 4, TONE, 52, 6, DELAY, 4, TONE, 58, 6, DELAY, 5, TONE, 61, 7, DELAY, 4, TONE, 64, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 65, 10, DELAY, 22, TONE, 41, 6, DELAY, 4, TONE, 41, 6, DELAY, 5, TONE, 41, 7, DELAY, 4, TONE, 41, 10
.db DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 40, 6, DELAY, 4, TONE, 46, 6, DELAY, 5, TONE, 49, 7, DELAY, 4, TONE, 52, 6, DELAY, 4, TONE, 58, 6, DELAY, 5, TONE, 61, 7, DELAY, 39, TONE, 38, 7, DELAY, 22, TONE, 65, 10, DELAY, 22, TONE, 41, 6, DELAY, 4, TONE, 41, 6, DELAY, 5, TONE, 41, 7
.db DELAY, 4, TONE, 41, 10, DELAY, 25, TONE, 38, 7, DELAY, 22, TONE, 47, 10, DELAY, 22, TONE, 47, 6, DELAY, 4, TONE, 47, 6, DELAY, 5, TONE, 46, 7, DELAY, 36, TONE, 47, 6, DELAY, 4, TONE, 47, 6, DELAY, 5, TONE, 47, 7, DELAY, 4, TONE, 46, 10, DELAY, 22, TONE, 46, 6, DELAY, 4, TONE, 46, 6
.db DELAY, 5, TONE, 44, 7, DELAY, 4, TONE, 46, 10, DELAY, 22, TONE, 46, 6, DELAY, 4, TONE, 46, 10, DELAY, 1, TONE, 46, 7, DELAY, 4, TONE, 48, 10, DELAY, 22, TONE, 48, 6, DELAY, 4, TONE, 48, 6, DELAY, 5, TONE, 48, 7, DELAY, 4, TONE, 48, 10, DELAY, 22, TONE, 48, 6, DELAY, 4, TONE, 48, 6
.db DELAY, 5, TONE, 48, 7, DELAY, 4, TONE, 41, 10, DELAY, 22, TONE, 41, 10, DELAY, 5, TONE, 57, 5, DELAY, 3, TONE, 57, 6, DELAY, 3, TONE, 38, 10, DELAY, 22, TONE, 43, 15, TONE, 45, 23, END
S3:
.db MSOUND, Trumpet
.db DELAY, 6, TONE, 38, 5, DELAY, 55, TONE, 38, 6, DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7, DELAY, 4, TONE, 38, 20, DELAY, 76, TONE, 38, 6, DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7, DELAY, 4, TONE, 38, 20, DELAY, 76, TONE, 38, 6, DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7
.db DELAY, 4, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 5, TONE, 38, 10, DELAY, 7, TONE, 38, 10, DELAY, 22, TONE, 38, 6, DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7, DELAY, 4, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 10
.db DELAY, 22, TONE, 38, 6, DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7, DELAY, 36, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 6, DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7, DELAY, 4, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 6
.db DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7, DELAY, 4, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 6, DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7, DELAY, 4, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 6
.db DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7, DELAY, 4, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 6, DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7, DELAY, 4, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 6
.db DELAY, 26, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 25, TONE, 38, 3, DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7, DELAY, 4, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 6, DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7
.db DELAY, 36, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 6, DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7, DELAY, 4, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 6, DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7, DELAY, 4, TONE, 38, 10
.db DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 6, DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7, DELAY, 4, TONE, 38, 10, DELAY, 54, TONE, 38, 10, DELAY, 22, TONE, 38, 6, DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7, DELAY, 4, TONE, 38, 10, DELAY, 54, TONE, 38, 10
.db DELAY, 22, TONE, 38, 6, DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7, DELAY, 68, TONE, 38, 10, DELAY, 22, TONE, 38, 6, DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7, DELAY, 4, TONE, 38, 10, DELAY, 54, TONE, 38, 10, DELAY, 22, TONE, 38, 6, DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7
.db DELAY, 36, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 6, DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7, DELAY, 4, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 6, DELAY, 4, TONE, 38, 6, DELAY, 5, TONE, 38, 7, DELAY, 4, TONE, 38, 10
.db DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 10, DELAY, 22, TONE, 38, 6, DELAY, 29, TONE, 41, 10, DELAY, 19, TONE, 38, 10, END

.elif Msrc==3
MIDI:
.dw 4
.dw (S0 - SMIDI)*2
.dw (S1 - SMIDI)*2
.dw (S2 - SMIDI)*2
.dw (S3 - SMIDI)*2
SMIDI:
S0:
.db TONE, 71, 33, TONE, 68, 14, TONE, 69, 16, DELAY, 1, TONE, 71, 34, TONE, 69, 12, DELAY, 1, TONE, 68, 16, DELAY, 1, TONE, 64, 33, TONE, 64, 14, TONE, 69, 16, DELAY, 1, TONE, 72, 32, TONE, 71, 15, TONE, 69, 16
.db DELAY, 1, TONE, 68, 47, TONE, 69, 16, DELAY, 1, TONE, 71, 32, TONE, 71, 32, TONE, 69, 32, TONE, 64, 32, TONE, 64, 32, TONE, 47, 15, TONE, 48, 16, DELAY, 1, TONE, 50, 15, TONE, 38, 16, DELAY, 16, TONE, 69, 16
.db DELAY, 1, TONE, 72, 15, TONE, 72, 8, DELAY, 1, TONE, 72, 7, DELAY, 1, TONE, 71, 15, TONE, 69, 16, DELAY, 1, TONE, 67, 15, TONE, 48, 16, DELAY, 16, TONE, 64, 16, DELAY, 1, TONE, 67, 15, TONE, 69, 8, DELAY, 1, TONE, 67, 7, DELAY, 1, TONE, 65, 15
.db TONE, 64, 16, DELAY, 1, TONE, 68, 15, TONE, 59, 16, DELAY, 16, TONE, 69, 16, DELAY, 1, TONE, 71, 32, TONE, 71, 32, TONE, 69, 32, TONE, 64, 32, TONE, 64, 33, TONE, 32, 6, DELAY, 8, TONE, 32, 16, DELAY, 16, TONE, 52, 16
.db DELAY, 1, TONE, 40, 16, TONE, 52, 15, DELAY, 1, TONE, 40, 15, DELAY, 1, TONE, 52, 15, DELAY, 1, TONE, 40, 15, TONE, 52, 16, DELAY, 1, TONE, 45, 15, TONE, 57, 16, DELAY, 1, TONE, 45, 15, TONE, 57, 16, DELAY, 1, TONE, 45, 15, TONE, 57, 19
.db TONE, 45, 12, DELAY, 1, TONE, 57, 16, DELAY, 1, TONE, 44, 15, TONE, 56, 17, DELAY, 1, TONE, 44, 14, TONE, 56, 16, DELAY, 1, TONE, 40, 15, TONE, 52, 19, TONE, 40, 12, DELAY, 1, TONE, 52, 16, DELAY, 1, TONE, 45, 15, TONE, 57, 16
.db DELAY, 1, TONE, 45, 15, TONE, 57, 16, DELAY, 1, TONE, 45, 15, TONE, 57, 17, DELAY, 1, TONE, 47, 14, TONE, 48, 16, DELAY, 1, TONE, 50, 15, TONE, 38, 16, DELAY, 16, TONE, 69, 16, DELAY, 1, TONE, 72, 15, TONE, 72, 8, DELAY, 1, TONE, 72, 7
.db DELAY, 1, TONE, 71, 15, TONE, 69, 16, DELAY, 1, TONE, 67, 15, TONE, 48, 16, DELAY, 16, TONE, 64, 16, DELAY, 1, TONE, 67, 15, TONE, 69, 8, DELAY, 1, TONE, 67, 7, DELAY, 1, TONE, 65, 15, TONE, 64, 16, DELAY, 1, TONE, 68, 15, TONE, 59, 16
.db DELAY, 16, TONE, 69, 16, DELAY, 1, TONE, 71, 34, TONE, 71, 29, DELAY, 1, TONE, 69, 32, TONE, 64, 32, TONE, 64, 32, TONE, 32, 7, DELAY, 8, TONE, 32, 16, DELAY, 16, TONE, 76, 16, DELAY, 1, TONE, 69, 15, TONE, 76, 16, DELAY, 1, TONE, 69, 15
.db TONE, 76, 19, TONE, 69, 12, DELAY, 1, TONE, 76, 16, DELAY, 1, TONE, 68, 15, TONE, 76, 16, DELAY, 1, TONE, 68, 15, TONE, 76, 16, DELAY, 1, TONE, 68, 15, TONE, 76, 17, DELAY, 1, TONE, 68, 14, TONE, 76, 16, DELAY, 1, TONE, 69, 15
.db TONE, 76, 19, TONE, 69, 12, DELAY, 1, TONE, 76, 16, DELAY, 1, TONE, 69, 15, TONE, 76, 19, TONE, 69, 12, DELAY, 1, TONE, 76, 16, DELAY, 1, TONE, 68, 15, TONE, 76, 16, DELAY, 1, TONE, 68, 15, TONE, 76, 16, DELAY, 1, TONE, 68, 15
.db TONE, 76, 16, DELAY, 1, TONE, 68, 15, TONE, 76, 16, DELAY, 1, TONE, 69, 15, TONE, 76, 16, DELAY, 1, TONE, 69, 15, TONE, 76, 16, DELAY, 1, TONE, 69, 15, TONE, 76, 16, DELAY, 1, TONE, 69, 15, TONE, 76, 16, DELAY, 1, TONE, 68, 15
.db TONE, 76, 16, DELAY, 1, TONE, 68, 15, TONE, 76, 16, DELAY, 1, TONE, 68, 15, TONE, 76, 16, DELAY, 1, TONE, 68, 15, TONE, 76, 16, DELAY, 1, TONE, 69, 15, TONE, 76, 16, DELAY, 1, TONE, 69, 15, TONE, 76, 16, DELAY, 16, TONE, 76, 16
.db DELAY, 16, TONE, 76, 16, DELAY, 16, TONE, 76, 16, DELAY, 1, TONE, 68, 15, TONE, 76, 16, DELAY, 1, TONE, 68, 15, TONE, 76, 19, TONE, 68, 12, DELAY, 1, TONE, 76, 16, DELAY, 1, TONE, 71, 32, TONE, 71, 15, TONE, 69, 16, DELAY, 1, TONE, 71, 32
.db TONE, 72, 15, TONE, 68, 16, DELAY, 1, TONE, 64, 32, TONE, 64, 15, TONE, 72, 16, DELAY, 1, TONE, 76, 32, TONE, 71, 15, TONE, 69, 16, DELAY, 1, TONE, 68, 47, TONE, 72, 16, DELAY, 1, TONE, 71, 32, TONE, 76, 32
.db TONE, 69, 32, TONE, 64, 32, TONE, 64, 32, TONE, 47, 15, TONE, 48, 16, DELAY, 1, TONE, 50, 15, TONE, 38, 16, DELAY, 16, TONE, 69, 16, DELAY, 1, TONE, 72, 15, TONE, 72, 8, DELAY, 1, TONE, 72, 7, DELAY, 1, TONE, 79, 15
.db TONE, 77, 16, DELAY, 1, TONE, 67, 15, TONE, 48, 19, DELAY, 13, TONE, 64, 16, DELAY, 1, TONE, 76, 34, TONE, 65, 12, DELAY, 1, TONE, 72, 16, DELAY, 1, TONE, 68, 15, TONE, 59, 19, DELAY, 13, TONE, 72, 16, DELAY, 1, TONE, 71, 34, TONE, 71, 29
.db DELAY, 1, TONE, 69, 33, TONE, 69, 30, DELAY, 1, TONE, 69, 32, TONE, 32, 7, DELAY, 8, TONE, 32, 16, DELAY, 16, TONE, 52, 16, DELAY, 1, TONE, 40, 15, TONE, 52, 16, DELAY, 1, TONE, 40, 15, TONE, 52, 16, DELAY, 1, TONE, 40, 15, TONE, 52, 16
.db DELAY, 1, TONE, 45, 15, TONE, 57, 16, DELAY, 1, TONE, 45, 16, TONE, 57, 15, DELAY, 1, TONE, 45, 15, TONE, 57, 16, DELAY, 1, TONE, 45, 15, TONE, 57, 16, DELAY, 1, TONE, 44, 15, TONE, 56, 17, DELAY, 1, TONE, 44, 16, TONE, 56, 14
.db DELAY, 1, TONE, 40, 15, TONE, 52, 20, TONE, 40, 12, DELAY, 1, TONE, 52, 15, DELAY, 1, TONE, 45, 15, TONE, 57, 16, DELAY, 1, TONE, 45, 16, TONE, 57, 15, DELAY, 1, TONE, 45, 15, TONE, 57, 20, TONE, 47, 12, DELAY, 1, TONE, 48, 15
.db END
S1:
.db TONE, 76, 33, TONE, 71, 14, TONE, 72, 16, DELAY, 1, TONE, 74, 34, TONE, 72, 12, DELAY, 1, TONE, 71, 16, DELAY, 1, TONE, 69, 33, TONE, 69, 14, TONE, 72, 16, DELAY, 1, TONE, 76, 32, TONE, 74, 15, TONE, 72, 16
.db DELAY, 1, TONE, 71, 47, TONE, 72, 16, DELAY, 1, TONE, 74, 32, TONE, 76, 32, TONE, 72, 32, TONE, 69, 32, TONE, 69, 32, TONE, 32, 7, DELAY, 8, TONE, 32, 16, DELAY, 16, TONE, 65, 16, DELAY, 16, TONE, 77, 16, DELAY, 1, TONE, 81, 32
.db DELAY, 1, TONE, 79, 14, TONE, 77, 16, DELAY, 1, TONE, 76, 15, TONE, 32, 16, DELAY, 16, TONE, 72, 16, DELAY, 1, TONE, 76, 32, TONE, 74, 15, TONE, 72, 16, DELAY, 1, TONE, 71, 32, TONE, 68, 15, TONE, 72, 16, DELAY, 1, TONE, 74, 32
.db TONE, 76, 32, TONE, 72, 32, TONE, 69, 32, DELAY, 1, TONE, 69, 32, DELAY, 31, TONE, 71, 32, TONE, 68, 15, DELAY, 1, TONE, 69, 15, DELAY, 1, TONE, 71, 32, TONE, 69, 15, TONE, 68, 16, DELAY, 1, TONE, 64, 32, TONE, 64, 15
.db TONE, 69, 16, DELAY, 1, TONE, 72, 34, TONE, 71, 12, DELAY, 1, TONE, 69, 16, DELAY, 1, TONE, 68, 47, TONE, 69, 16, DELAY, 1, TONE, 71, 34, TONE, 71, 29, DELAY, 1, TONE, 69, 32, TONE, 64, 32, TONE, 64, 33, TONE, 32, 6
.db DELAY, 8, TONE, 32, 16, DELAY, 16, TONE, 65, 16, DELAY, 16, TONE, 77, 16, DELAY, 1, TONE, 81, 32, TONE, 79, 15, TONE, 77, 16, DELAY, 1, TONE, 76, 15, TONE, 32, 16, DELAY, 16, TONE, 72, 16, DELAY, 1, TONE, 76, 32, TONE, 74, 15, TONE, 72, 16
.db DELAY, 1, TONE, 71, 32, TONE, 68, 15, TONE, 72, 16, DELAY, 1, TONE, 74, 34, TONE, 76, 29, DELAY, 1, TONE, 72, 32, TONE, 69, 32, TONE, 69, 32, DELAY, 32, TONE, 57, 128, TONE, 56, 128, TONE, 57, 64, TONE, 52, 128
.db TONE, 59, 64, TONE, 57, 128, TONE, 56, 128, TONE, 57, 128, TONE, 62, 128, TONE, 76, 32, TONE, 68, 15, TONE, 72, 16, DELAY, 1, TONE, 74, 32, TONE, 69, 15, TONE, 71, 16, DELAY, 1, TONE, 69, 32
.db TONE, 69, 15, TONE, 69, 16, DELAY, 1, TONE, 72, 32, TONE, 74, 15, TONE, 72, 16, DELAY, 1, TONE, 71, 47, TONE, 69, 16, DELAY, 1, TONE, 74, 32, TONE, 71, 32, TONE, 72, 32, TONE, 69, 32, TONE, 69, 32
.db TONE, 32, 7, DELAY, 8, TONE, 32, 16, DELAY, 16, TONE, 74, 16, DELAY, 16, TONE, 77, 16, DELAY, 1, TONE, 81, 32, TONE, 71, 15, TONE, 69, 16, DELAY, 1, TONE, 76, 15, TONE, 32, 19, DELAY, 13, TONE, 72, 16, DELAY, 1, TONE, 67, 15, TONE, 69, 8
.db DELAY, 1, TONE, 67, 10, TONE, 74, 12, DELAY, 1, TONE, 64, 16, DELAY, 1, TONE, 71, 34, TONE, 68, 12, DELAY, 1, TONE, 69, 16, DELAY, 1, TONE, 74, 34, TONE, 76, 29, DELAY, 1, TONE, 72, 32, DELAY, 1, TONE, 64, 30, DELAY, 1, TONE, 64, 32, DELAY, 32, TONE, 71, 32
.db TONE, 68, 15, TONE, 69, 16, DELAY, 1, TONE, 74, 32, TONE, 69, 15, TONE, 71, 16, DELAY, 1, TONE, 64, 32, TONE, 64, 16, TONE, 69, 15, DELAY, 1, TONE, 76, 32, TONE, 74, 15, TONE, 69, 16, DELAY, 1, TONE, 71, 49
.db TONE, 69, 14, DELAY, 1, TONE, 71, 35, TONE, 71, 28, DELAY, 1, TONE, 69, 32, TONE, 64, 32, TONE, 69, 35, TONE, 32, 3, DELAY, 10, TONE, 32, 15, END
S2:
.db TONE, 40, 15, TONE, 52, 17, DELAY, 1, TONE, 40, 14, TONE, 52, 16, DELAY, 1, TONE, 40, 15, TONE, 52, 19, TONE, 40, 12, DELAY, 1, TONE, 52, 16, DELAY, 1, TONE, 45, 15, TONE, 57, 17, DELAY, 1, TONE, 45, 14, TONE, 57, 16
.db DELAY, 1, TONE, 45, 15, TONE, 57, 16, DELAY, 1, TONE, 45, 15, TONE, 57, 16, DELAY, 1, TONE, 44, 15, TONE, 56, 16, DELAY, 1, TONE, 44, 15, TONE, 56, 16, DELAY, 1, TONE, 40, 15, TONE, 52, 16, DELAY, 1, TONE, 40, 15, TONE, 52, 16
.db DELAY, 1, TONE, 45, 15, TONE, 57, 16, DELAY, 1, TONE, 45, 15, TONE, 57, 16, DELAY, 1, TONE, 45, 15, TONE, 57, 16, DELAY, 48, TONE, 74, 16, DELAY, 16, TONE, 38, 16, DELAY, 16, TONE, 38, 8, DELAY, 1, TONE, 38, 8, DELAY, 1, TONE, 45, 14, TONE, 41, 16
.db DELAY, 1, TONE, 36, 15, DELAY, 32, TONE, 48, 16, DELAY, 16, TONE, 36, 8, DELAY, 1, TONE, 37, 7, DELAY, 1, TONE, 38, 15, TONE, 39, 16, DELAY, 16, TONE, 32, 16, DELAY, 16, TONE, 59, 16, DELAY, 16, TONE, 52, 16, DELAY, 16, TONE, 56, 16, DELAY, 1, TONE, 45, 15, TONE, 52, 16
.db DELAY, 1, TONE, 45, 15, TONE, 52, 17, DELAY, 1, TONE, 45, 14, TONE, 32, 17, DELAY, 32, TONE, 76, 32, TONE, 71, 15, DELAY, 1, TONE, 72, 15, DELAY, 1, TONE, 74, 32, TONE, 72, 15, TONE, 71, 16, DELAY, 1, TONE, 69, 32, TONE, 69, 15
.db TONE, 72, 16, DELAY, 1, TONE, 76, 34, TONE, 74, 12, DELAY, 1, TONE, 72, 16, DELAY, 1, TONE, 71, 47, TONE, 72, 16, DELAY, 1, TONE, 74, 34, TONE, 76, 29, DELAY, 1, TONE, 72, 32, TONE, 69, 32, TONE, 69, 33, DELAY, 46, TONE, 74, 16
.db DELAY, 16, TONE, 38, 16, DELAY, 16, TONE, 38, 8, DELAY, 1, TONE, 38, 7, DELAY, 1, TONE, 45, 15, TONE, 41, 16, DELAY, 1, TONE, 36, 15, DELAY, 32, TONE, 48, 16, DELAY, 16, TONE, 36, 8, DELAY, 1, TONE, 37, 7, DELAY, 1, TONE, 38, 15, TONE, 39, 16, DELAY, 16, TONE, 32, 16
.db DELAY, 16, TONE, 59, 16, DELAY, 16, TONE, 52, 19, DELAY, 13, TONE, 56, 16, DELAY, 1, TONE, 45, 15, TONE, 52, 16, DELAY, 1, TONE, 45, 15, TONE, 52, 16, DELAY, 1, TONE, 45, 15, TONE, 32, 16, DELAY, 33, TONE, 64, 64, TONE, 60, 64, TONE, 62, 64
.db TONE, 59, 64, TONE, 60, 64, TONE, 57, 64, TONE, 56, 128, TONE, 64, 64, TONE, 60, 64, TONE, 62, 64, TONE, 59, 64, TONE, 60, 32, TONE, 64, 32, TONE, 69, 15, TONE, 32, 8
.db DELAY, 1, TONE, 32, 7, DELAY, 16, TONE, 32, 8, DELAY, 9, TONE, 68, 15, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 16, TONE, 32, 19, TONE, 32, 5, DELAY, 8, TONE, 32, 16, DELAY, 16, TONE, 52, 16, DELAY, 1, TONE, 40, 15, TONE, 52, 16, DELAY, 1, TONE, 40, 15
.db TONE, 52, 16, DELAY, 1, TONE, 40, 15, TONE, 52, 16, DELAY, 1, TONE, 45, 15, TONE, 57, 16, DELAY, 1, TONE, 45, 15, TONE, 57, 16, DELAY, 1, TONE, 45, 15, TONE, 57, 16, DELAY, 1, TONE, 45, 15, TONE, 57, 16, DELAY, 1, TONE, 44, 15
.db TONE, 56, 16, DELAY, 1, TONE, 44, 15, TONE, 56, 16, DELAY, 1, TONE, 40, 15, TONE, 52, 16, DELAY, 1, TONE, 40, 15, TONE, 52, 16, DELAY, 1, TONE, 45, 15, TONE, 57, 16, DELAY, 1, TONE, 45, 15, TONE, 57, 16, DELAY, 1, TONE, 45, 15
.db TONE, 57, 16, DELAY, 48, TONE, 65, 16, DELAY, 16, TONE, 38, 16, DELAY, 16, TONE, 38, 8, DELAY, 1, TONE, 38, 7, DELAY, 1, TONE, 45, 15, TONE, 41, 16, DELAY, 1, TONE, 36, 15, DELAY, 32, TONE, 48, 16, DELAY, 16, TONE, 36, 8, DELAY, 1, TONE, 37, 10, TONE, 38, 12
.db DELAY, 1, TONE, 39, 16, DELAY, 16, TONE, 32, 19, DELAY, 13, TONE, 59, 16, DELAY, 16, TONE, 52, 19, DELAY, 13, TONE, 56, 16, DELAY, 1, TONE, 45, 15, TONE, 52, 17, DELAY, 1, TONE, 45, 14, TONE, 52, 16, DELAY, 1, TONE, 45, 15, TONE, 32, 16, DELAY, 33, TONE, 76, 32
.db TONE, 71, 15, TONE, 72, 16, DELAY, 1, TONE, 71, 32, TONE, 72, 15, TONE, 68, 16, DELAY, 1, TONE, 69, 32, TONE, 69, 16, TONE, 72, 15, DELAY, 1, TONE, 72, 32, TONE, 71, 15, TONE, 72, 16, DELAY, 1, TONE, 68, 49
.db TONE, 72, 14, DELAY, 1, TONE, 74, 35, TONE, 76, 28, DELAY, 1, TONE, 72, 32, TONE, 69, 32, TONE, 64, 35, END
S3:
.db DELAY, 15, TONE, 32, 17, DELAY, 15, TONE, 32, 16, DELAY, 16, TONE, 32, 8, DELAY, 1, TONE, 32, 10, DELAY, 13, TONE, 32, 8, DELAY, 24, TONE, 32, 17, DELAY, 15, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 1, TONE, 32, 7, DELAY, 8, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 16, TONE, 32, 16
.db DELAY, 16, TONE, 32, 8, DELAY, 1, TONE, 32, 7, DELAY, 16, TONE, 32, 8, DELAY, 24, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 48, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 16, TONE, 32, 8, DELAY, 1, TONE, 32, 8, DELAY, 15, TONE, 32, 8, DELAY, 56, TONE, 32, 16
.db DELAY, 16, TONE, 32, 16, DELAY, 1, TONE, 32, 7, DELAY, 8, TONE, 32, 16, DELAY, 33, TONE, 71, 15, TONE, 32, 16, DELAY, 16, TONE, 32, 8, DELAY, 1, TONE, 32, 7, DELAY, 16, TONE, 32, 8, DELAY, 24, TONE, 32, 16, DELAY, 16, TONE, 32, 17, DELAY, 64, TONE, 40, 15, TONE, 32, 16
.db DELAY, 17, TONE, 32, 15, DELAY, 17, TONE, 32, 7, DELAY, 1, TONE, 32, 7, DELAY, 16, TONE, 32, 8, DELAY, 24, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 16, TONE, 32, 19, TONE, 32, 5, DELAY, 8, TONE, 32, 16, DELAY, 16, TONE, 32, 17, DELAY, 15, TONE, 32, 16, DELAY, 16, TONE, 32, 8
.db DELAY, 1, TONE, 32, 10, DELAY, 13, TONE, 32, 8, DELAY, 24, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 16, TONE, 32, 17, DELAY, 47, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 16, TONE, 32, 8, DELAY, 1, TONE, 32, 7, DELAY, 16, TONE, 32, 8, DELAY, 56, TONE, 32, 16, DELAY, 16, TONE, 32, 16
.db DELAY, 1, TONE, 32, 7, DELAY, 8, TONE, 32, 16, DELAY, 33, TONE, 71, 15, TONE, 32, 16, DELAY, 16, TONE, 32, 8, DELAY, 1, TONE, 32, 10, DELAY, 13, TONE, 32, 8, DELAY, 24, TONE, 32, 16, DELAY, 17, TONE, 32, 15, DELAY, 65, TONE, 69, 15, TONE, 32, 16, DELAY, 16, TONE, 32, 16
.db DELAY, 16, TONE, 32, 8, DELAY, 1, TONE, 32, 10, DELAY, 13, TONE, 32, 8, DELAY, 24, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 16, TONE, 32, 17, DELAY, 1, TONE, 32, 6, DELAY, 8, TONE, 32, 16, DELAY, 16, TONE, 32, 19, DELAY, 13, TONE, 32, 16, DELAY, 16, TONE, 32, 8, DELAY, 1, TONE, 32, 10
.db DELAY, 13, TONE, 32, 8, DELAY, 24, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 1, TONE, 32, 7, DELAY, 8, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 16, TONE, 32, 8, DELAY, 1, TONE, 32, 7, DELAY, 16, TONE, 32, 8, DELAY, 24, TONE, 32, 16
.db DELAY, 16, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 1, TONE, 32, 7, DELAY, 8, TONE, 32, 17, DELAY, 15, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 33, TONE, 69, 15, DELAY, 145, TONE, 40, 15, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 16, TONE, 32, 8, DELAY, 1, TONE, 32, 7
.db DELAY, 16, TONE, 32, 8, DELAY, 24, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 1, TONE, 32, 7, DELAY, 8, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 16, TONE, 32, 8, DELAY, 1, TONE, 32, 7, DELAY, 16, TONE, 32, 8, DELAY, 24, TONE, 32, 16
.db DELAY, 16, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 48, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 16, TONE, 32, 8, DELAY, 1, TONE, 32, 7, DELAY, 16, TONE, 32, 8, DELAY, 56, TONE, 32, 16, DELAY, 16, TONE, 32, 19, TONE, 32, 5, DELAY, 8, TONE, 32, 16, DELAY, 35, TONE, 71, 12
.db DELAY, 1, TONE, 32, 16, DELAY, 16, TONE, 32, 10, TONE, 32, 8, DELAY, 14, TONE, 32, 8, DELAY, 24, TONE, 32, 17, DELAY, 15, TONE, 32, 16, DELAY, 65, TONE, 40, 15, TONE, 32, 16, DELAY, 16, TONE, 32, 16, DELAY, 16, TONE, 32, 8, DELAY, 1, TONE, 32, 7, DELAY, 16, TONE, 32, 8
.db DELAY, 24, TONE, 32, 16, DELAY, 17, TONE, 32, 15, DELAY, 16, TONE, 32, 16, DELAY, 1, TONE, 32, 7, DELAY, 8, TONE, 32, 16, DELAY, 16, TONE, 32, 17, DELAY, 17, TONE, 32, 14, DELAY, 16, TONE, 32, 11, TONE, 32, 8, DELAY, 14, TONE, 32, 7, DELAY, 24, TONE, 32, 16, DELAY, 17, TONE, 32, 15
.db DELAY, 16, TONE, 32, 20, END


.else
	.error "Nichtvorhandene Mididatei gewaehlt."
	MIDI:
	SMIDI:
.endif